# StringCodeRecord (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stats.server.persist
Class StringCodeRecord

    java.lang.Object
      com.samskivert.depot.impl.QueryResult
          com.samskivert.depot.PersistentRecord
              com.threerings.stats.server.persist.StringCodeRecord

All Implemented Interfaces:
  Serializable, Cloneable

    public class StringCodeRecord

extends PersistentRecord

See Also:
  Serialized Form

Field Summary
`static Class<StringCodeRecord>` `_R`
`int` `code`
`static ColumnExp<Integer>` `CODE`
`static int` `SCHEMA_VERSION`
`static ColumnExp<Integer>` `STAT_CODE`
`int` `statCode` The code of the stat.
`String` `value`
`static ColumnExp<String>` `VALUE`

Constructor Summary
`StringCodeRecord()` An empty constructor for unmarshalling.
`StringCodeRecord(int statCode, String value, int code)` A constructor that populates all our fields.

Method Summary
`static Key<StringCodeRecord>` `getKey(int statCode, String value)` Create and return a primary `Key` to identify a `StringCodeRecord` with the supplied key values.
`static ColumnExp<?>[]` `statCodeCode()` Defines the statCodeCode unique index.
`static ColumnExp<?>[]` `statCodeValue()` Defines the statCodeValue unique index.

Methods inherited from class com.samskivert.depot.impl.QueryResult
`clone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _R

    public static final Class<StringCodeRecord> _R

### STAT_CODE

    public static final ColumnExp<Integer> STAT_CODE

### VALUE

    public static final ColumnExp<String> VALUE

### CODE

    public static final ColumnExp<Integer> CODE

### SCHEMA_VERSION

    public static final int SCHEMA_VERSION

See Also:
  Constant Field Values

### statCode

    public int statCode

  The code of the stat.

### value

    public String value

### code

    public int code

Constructor Detail

### StringCodeRecord

    public StringCodeRecord()

  An empty constructor for unmarshalling.

### StringCodeRecord

    public StringCodeRecord(int statCode,
                            String value,
                            int code)

  A constructor that populates all our fields.

Method Detail

### statCodeValue

    public static ColumnExp<?>[] statCodeValue()

  Defines the statCodeValue unique index.

### statCodeCode

    public static ColumnExp<?>[] statCodeCode()

  Defines the statCodeCode unique index.

### getKey

    public static Key<StringCodeRecord> getKey(int statCode,
                                               String value)

  Create and return a primary `Key` to identify a `StringCodeRecord` with the supplied key values.

Copyright © 2011. All Rights Reserved.